Bug 1106 - MySQL - server errors displays in incorrect charset
: MySQL - server errors displays in incorrect charset
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MySQL-server)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-16 11:58 by
Modified: 2008-02-17 21:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-16 11:58:17
На системе в CP1251 указание в /etc/my.cnf параметра
language=russian приводит к нечитаемым сообщениям об ошибках. Например, при
подключении к серверу с помощью mysql.

MySQL-server-3.23.51-alt2
MySQL-client-3.23.51-alt2

---

---
------- Comment #1 From 2004-01-11 03:52:39 -------
maintainer changed 
------- Comment #2 From 2004-03-17 14:44:55 -------
Дело в том, что русский перевод существует в KOI8-R
(/usr/share/mysql/russian/errmsg.txt) и пока никто не планирует делать
поддержку
сообщений в unicode или utf, впрочем, как и держать переводы во всех мыслемых и
не мыслемых кодировках. Т.ч. остаётся только workaround - запускать mysqld без
опции language=russian или самостоятельно сделать iconv на файл сообщений и
сгенерировать errmsg.sys
------- Comment #3 From 2008-02-15 21:01:05 -------
reopen
------- Comment #4 From 2008-02-15 21:02:20 -------
apparently fixed in MySQL 4.1/5.0+